### Method

# Gdk Deviceget_timestamp

since: 4.2

#### Declaration [src]

    guint32
    gdk_device_get_timestamp (
      GdkDevice* device
    )

#### Description [src]

Returns the timestamp of the last activity for this device.

In practice, this means the timestamp of the last event that was received from the OS for this device. (GTK may occasionally produce events for a device that are not received from the OS, and will not update the timestamp).

Available since: 4.2

#### Return value

Type: `guint32`

The timestamp of the last activity for this device.